DROP SEQUENCE IF EXISTS id_manager_eid_generator_doc_id;
CREATE SEQUENCE id_manager_eid_generator_doc_id START 10000;

DROP SEQUENCE IF EXISTS id_manager_eid_generator_journal_id;
CREATE SEQUENCE id_manager_eid_generator_journal_id START 10000;

DROP SEQUENCE IF EXISTS id_manager_eid_generator_book_id;
CREATE SEQUENCE id_manager_eid_generator_book_id START 10000;

DROP SEQUENCE IF EXISTS id_manager_eid_generator_mbook_id;
CREATE SEQUENCE id_manager_eid_generator_mbook_id START 10000;


DROP TABLE IF EXISTS id_manager_id_store;
CREATE TABLE id_manager_id_store (
    id_type VARCHAR(256) NOT NULL,
    id_value VARCHAR(1024) NOT NULL,
    eid VARCHAR(256) NOT NULL,
    CONSTRAINT id_store_pk PRIMARY KEY(id_type, id_value)
);

DROP INDEX IF EXISTS id_manager_eid_index;
CREATE INDEX id_manager_eid_index ON id_manager_id_store (eid);

DROP TABLE IF EXISTS id_manager_extra_id_store;
CREATE TABLE id_manager_extra_id_store (
    id_type VARCHAR(256) NOT NULL,
    id_value VARCHAR(1024) NOT NULL,
    eid VARCHAR(256) NOT NULL,
    CONSTRAINT extra_id_store_pk PRIMARY KEY(eid, id_type)
);

DROP INDEX IF EXISTS id_manager_eid_extra_index;
CREATE INDEX id_manager_eid_extra_index ON id_manager_extra_id_store (eid);

DROP INDEX IF EXISTS id_manager_ids_extra_index;
CREATE INDEX id_manager_ids_extra_index ON id_manager_extra_id_store (id_type, id_value);

